## libsis-jhdf5-java 19.04.0%2Bdfsg

=== source/c/jni/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project (HDF5_JAVA_JNI C)

set (HDF5_JAVA_JNI_CSRCS
    ${HDF5_JAVA_JNI_SOURCE_DIR}/exceptionImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5aImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5Constants.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5dImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5eImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5fImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5gImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5iImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5Imp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5lImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5oImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5pImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5plImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5rImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5sImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5tImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5util.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5zImp.c
    ${HDF5_JAVA_JNI_SOURCE_DIR}/nativeData.c
)

set (HDF5_JAVA_JNI_CHDRS
    ${HDF5_JAVA_JNI_SOURCE_DIR}/exceptionImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5aImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5dImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5eImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5fImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5gImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5iImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5jni.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5lImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5oImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5pImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5plImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5rImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5sImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5tImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5util.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/h5zImp.h
    ${HDF5_JAVA_JNI_SOURCE_DIR}/nativeData.h
)

set (CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE ON)

########### JNI libraries always must be built shared  ###############
add_library (${HDF5_JAVA_JNI_LIB_TARGET} SHARED ${HDF5_JAVA_JNI_CSRCS} ${HDF5_JAVA_JNI_CHDRS})
target_include_directories(${HDF5_JAVA_JNI_LIB_TARGET} PRIVATE ${HDF5_BINARY_DIR} ${HDF5_JAVA_JNI_SOURCE_DIR})
TARGET_C_PROPERTIES (${HDF5_JAVA_JNI_LIB_TARGET} SHARED)
target_link_libraries (${HDF5_JAVA_JNI_LIB_TARGET} PUBLIC ${HDF5_LIB_TARGET})
set_target_properties (${HDF5_JAVA_JNI_LIB_TARGET} PROPERTIES FOLDER libraries/jni)
SET_GLOBAL_VARIABLE (HDF5_LIBRARIES_TO_EXPORT "${HDF5_LIBRARIES_TO_EXPORT};${HDF5_JAVA_JNI_LIB_TARGET}")
H5_SET_LIB_OPTIONS (${HDF5_JAVA_JNI_LIB_TARGET} ${HDF5_JAVA_JNI_LIB_NAME} SHARED "JAVA")
if (WIN32)
  get_filename_component (HDF5_JAVA_JNI_DLL_NAME ${HDF5_JAVA_JNI_LIB_TARGET} NAME_WE)
  set (HDF5_JAVA_JNI_DLL_NAME "${HDF5_JAVA_JNI_DLL_NAME}$<$<CONFIG:Debug>:_D>")
  # message (STATUS "HDF5_JAVA_JNI_DLL_NAME: ${HDF5_JAVA_JNI_DLL_NAME}")
  if (BUILD_TESTING)
    add_custom_target (HDF5_JAVA_JNI-Test-Copy ALL
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${HDF5_JAVA_JNI_DLL_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${HDF5_JAVA_JNI_DLL_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX}
        COMMENT "Copying ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${HDF5_JAVA_JNI_DLL_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX} to ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/"
    )
    add_dependencies (HDF5_JAVA_JNI-Test-Copy ${HDF5_JAVA_JNI_LIB_TARGET})
  endif ()
endif ()

#-----------------------------------------------------------------------------
# Add Target(s) to CMake Install for import into other projects
#-----------------------------------------------------------------------------
if (HDF5_EXPORTED_TARGETS)
  INSTALL_TARGET_PDB (${HDF5_JAVA_JNI_LIB_TARGET} ${HDF5_INSTALL_BIN_DIR} libraries)
  install (
      TARGETS
          ${HDF5_JAVA_JNI_LIB_TARGET}
      EXPORT
          ${HDF5_EXPORTED_TARGETS}
      LIBRARY DESTINATION ${HDF5_INSTALL_LIB_DIR} COMPONENT libraries
      ARCHIVE DESTINATION ${HDF5_INSTALL_LIB_DIR} COMPONENT libraries
      RUNTIME DESTINATION ${HDF5_INSTALL_LIB_DIR} COMPONENT libraries
      FRAMEWORK DESTINATION ${HDF5_INSTALL_FWRK_DIR} COMPONENT libraries
      INCLUDES DESTINATION include
  )
endif ()

## libsis-jhdf5-java 14.12.1

=== debian/changelog ===
libsis-jhdf5-java (14.12.1-2) unstable; urgency=medium

  * Use /usr/share/java/java_defaults.mk to adapt to correct include options
    for new default-jdk (openjdk-8-jdk)
    Closes: #814875
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 16 Feb 2016 13:31:21 +0100

libsis-jhdf5-java (14.12.1-1) unstable; urgency=medium

  * [ Team upload ]
    First package (Closes: #796390 ).

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 12 Aug 2015 12:15:17 +0100

=== debian/control ===
Source: libsis-jhdf5-java
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               default-jdk,
               javahelper,
               libcommons-lang-java,
               libcommons-io-java,
               libsis-base-java,
               libhdf5-dev (>> 1.8.13),
               junit4,
               testng,
               libjmock2-java
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsis-jhdf5-java.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libsis-jhdf5-java.git
Homepage: http://svncisd.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.1/jhdf5

Package: libsis-jhdf5-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~)
Description: easy-to-use HDF library for Java
 JHDF5 is a Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained by ETH SIS.
 The library uses HDF5 1.8 from the HDF Group and files created with
 JHDF5 are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-jni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libs used by libsis-jhdf5-java package
 This package is only useful with libsis-jhdf5-java.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/sis-base.jar
export TESTCLASSPATH=/usr/share/java/junit4.jar:/usr/share/java/testng.jar:/usr/share/java/jmock2.jar:/usr/share/java/jcommander.jar

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/java/java_defaults.mk

CPPFLAGS += ${jvm_includes}

%:
	dh $@ --with javahelper

get-orig-source:
	debian/get-orig-source

override_dh_auto_clean:
	rm -rf build *.jar
	rm -rf source/c/*.log
	rm -rf source/c/*.so
	# Stuff generated during testing
	find sourceTest/java -name '*.class' -delete
	cd sourceTest/java && rm -f *.hdf *.h5
	rm -f sourceTest/java/sourceTest/java/test/hdf5lib/h5ex_g_iterate.hdf
	rm -rf test-output targets
	#Things that we'd probably exclude from the orig.tar.gz anyway
	rm -rf jsrc lib ./sourceTest/java/jni

override_dh_auto_build:
	# C build
	cd source/c && \
		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)  -shared -fPIC -Wl,--exclude-libs,ALL \
		-I/usr/lib/jvm/default-java/include/ -I/usr/include/hdf5/serial \
	       	jhdf5/*.c hdf-java/*.c -o libsis-jhdf5.so -lz -lhdf5_serial
	# Java build - see README.source about the file being removed
	mkdir jsrc ; cp -r source/java/ch source/java/ncsa jsrc
	rm jsrc/ch/systemsx/cisd/hdf5/h5ar/HDF5ArchiverMain.java
	# This line is still needed on Ubuntu 14.04
	jh_build sis-jhdf5.jar jsrc

override_dh_auto_test:
	# Run the tests that come with the upstream source.
	# The contortions with the CLASSPATH are to try and confirm that the MANIFEST is
	# supplying the correct deps automatically - ie. we should not be feeding any
	# extra JARs in order to make the tests pass.
	# The version of testng on trusty does requires us to specifically add jcommander.jar to the
	# CLASSPATH when invoking TestNG.  This seems to be a bug in the testng package.
	# Finally, the tests need to be run in the Zurich timezone.
	export CLASSPATH="sourceTest/java:`readlink -f sis-jhdf5.jar`:$$TESTCLASSPATH" \
	       JNIPATH="`readlink -f source/c`:/usr/lib/jni" \
	       TZ=Europe/Zurich LC_ALL=C ; \
	    find sourceTest/java -name '*.java' | env CLASSPATH="$$CLASSPATH:$(CLASSPATH)" xargs javac && \
	    java -Xmx2048M -Djava.library.path="$$JNIPATH" org.testng.TestNG -verbose 2 sourceTest/java/tests.xml
	# These other tests have 3 failures.  I don't think they are expected to pass.
	#cd sourceTest/java && \
	#ln -s test/hdf5lib/h5ex_g_iterate.hdf . && \
	#java -Xmx2048M -Djava.library.path="$$JNIPATH" org.junit.runner.JUnitCore test.hdf5lib.TestAll

## libsis-jhdf5-java 14.12.6

=== debian/changelog ===
libsis-jhdf5-java (14.12.6-2) unstable; urgency=medium

  * Add upstream contact
  * Enable d/watch to work with versioned dirs
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * To enable this package at least building to update the dependencies
    of the binary package and make it installable at least, all tests
    that are exposing bug #842815 are deactivated.  RC bug #842815 is
    active anyway so this package will not migrate to testing (and never
    should in this form - workaround will be deactivated in Git once the
    package is uploaded to make sure it will not happen by accident)

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 07:47:25 +0200

libsis-jhdf5-java (14.12.6-1) unstable; urgency=medium

  * New upstream version
    Closes: #842815
  * Fix homepage / download URL
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2016 14:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Andreas Tille <tille@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                default-jdk,
                javahelper,
                libcommons-lang-java,
@@ -15,10 +15,10 @@
                junit4,
                testng,
                libjmock2-java
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsis-jhdf5-java.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libsis-jhdf5-java.git
-Homepage: http://svncisd.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.1/jhdf5
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
+Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
+Homepage: http://svnsis.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.6/jhdf5/
 
 Package: libsis-jhdf5-java
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 include /usr/share/java/java_defaults.mk
 
 CPPFLAGS += ${jvm_includes}
+
+TESTIGNORE = sourceTest/java/ch/systemsx/cisd/hdf5/HDF5RoundtripTest.java \
+             sourceTest/java/ch/systemsx/cisd/hdf5/h5ar/HDF5ArchiverTest.java \
+             sourceTest/java/ch/systemsx/cisd/hdf5/io/HDF5DataSetRandomAccessFileTest.java
 
 %:
 	dh $@ --with javahelper
@@ -43,6 +47,14 @@
 	jh_build sis-jhdf5.jar jsrc
 
 override_dh_auto_test:
+	# FIXME
+	# Due to bug #842815 several tests are failing
+	# To get at least some installable package these tests are ignored here
+	mkdir -p debian/tmptestignore
+	for ti in $(TESTIGNORE) ; do \
+	    mv $${ti} debian/tmptestignore ; \
+	done
+
 	# Run the tests that come with the upstream source.
 	# The contortions with the CLASSPATH are to try and confirm that the MANIFEST is
 	# supplying the correct deps automatically - ie. we should not be feeding any
@@ -59,3 +71,7 @@
 	#cd sourceTest/java && \
 	#ln -s test/hdf5lib/h5ex_g_iterate.hdf . && \
 	#java -Xmx2048M -Djava.library.path="$$JNIPATH" org.junit.runner.JUnitCore test.hdf5lib.TestAll
+
+	# FIXME: Second part of hacking around bug #842815
+	mv debian/tmptestignore/* sourceTest/java/test/hdf5lib
+	rmdir debian/tmptestignore

=== debian/watch ===
version=4
http://svnsis.ethz.ch/repos/cisd/jhdf5/tags/release/(\d+\.\d+\.x)/(\d+\.\d+\.\d+) \
   debian debian/get-orig-source

## libsis-jhdf5-java 19.04.0%2Bdfsg

=== debian/changelog ===
libsis-jhdf5-java (19.04.0+dfsg-4) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 07 Nov 2020 17:38:49 +0100

libsis-jhdf5-java (19.04.0+dfsg-3) unstable; urgency=medium

  [ Pierre Gruet ]
  * Activating build-time tests again
  * Deleting useless rm in override_dh_auto_clean
  * Solving issues in tests due to misclosed files
  * Forwarding patches

  [ Andreas Tille ]
  * Declare different HDF licenses for source/c/jni and
    source/java/hdf/hdf5lib
    Closes: #973507

 -- Andreas Tille <tille@debian.org>  Sun, 01 Nov 2020 15:13:17 +0100

libsis-jhdf5-java (19.04.0+dfsg-2) unstable; urgency=medium

  [ Pierre Gruet ]
  * Changing the name of the .so file in libsis-jhdf5-jni (Closes: #959955)
  * Providing the executable h5ar and a manpage
  * Adding a test for h5ar to the testsuite
  * Adding final qualifier to some arguments of functions
  * Providing hardening while compiling the jni part
  * Providing tests of the testsuite as examples

  [ Steffen Moeller ]
  * d/control: Added R-R-R:no

  [ Andreas Tille ]
  * Mention source/c/jni/* in d/copyright
  * Make sure build-time test will pass for the moment

 -- Pierre Gruet <pgtdebian@free.fr>  Tue, 12 May 2020 22:37:32 +0200

libsis-jhdf5-java (19.04.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Adapt watch file to upstream Gitlab clone tags
  * Drop now unneeded get-orig-source target
  * Fix homepage
  * Use gradle build system
  * Build-Depends: ant
  * Versioned Build-Depends: libsis-base-java (>= 18.08.0~)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

  [ Pierre Gruet ]
  * Refresh patch use_debian_packaged_libs.patch
  * Providing a patch to get around using private header from hdf5
  * Fixing omissions linked to prototypes in source/c/jni/h5util.h
  * Installing the .so file in the -jni package
  * Writing tests in debian/tests
  * Updating dependencies with nocheck
  * Adding a missing library loading in a java file, using a patch
    from Gilles Filippini
  * Rewriting the override of dh_auto_test so that upstream tests run
    and pass
  * Overriding dh_auto_clean
  * Adapting debian/rules to the name of the built jar

 -- Pierre Gruet <pgtdebian@free.fr>  Wed, 06 May 2020 17:36:16 +0200

## libsis-jhdf5-java 19.04.0+dfsg

=== source/java/hdf/hdf5lib/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project (HDF5_JAVA_HDF_HDF5 Java)

set (CMAKE_VERBOSE_MAKEFILE 1)

set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "${HDF5_JAVA_HDF_HDF5_SOURCE_DIR};${HDF5_JAVA_HDF_HDF5_BINARY_DIR};${HDF5_JAVA_LIB_DIR};${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/${HDF5_JAVA_HDF5_LIB_CORENAME}.dir/hdf/hdf5lib")

SET_GLOBAL_VARIABLE (HDF5_JAVA_SOURCE_PACKAGES
    "${HDF5_JAVA_SOURCE_PACKAGES};hdf.hdf5lib.callbacks;hdf.hdf5lib.exceptions;hdf.hdf5lib.structs;hdf.hdf5lib"
)

set (HDF5_JAVA_HDF_HDF5_CALLBACKS_SOURCES
    callbacks/H5A_iterate_cb.java
    callbacks/H5A_iterate_t.java
    callbacks/H5D_append_cb.java
    callbacks/H5D_append_t.java
    callbacks/H5D_iterate_cb.java
    callbacks/H5D_iterate_t.java
    callbacks/H5E_walk_cb.java
    callbacks/H5E_walk_t.java
    callbacks/H5L_iterate_cb.java
    callbacks/H5L_iterate_t.java
    callbacks/H5O_iterate_cb.java
    callbacks/H5O_iterate_t.java
    callbacks/H5P_cls_close_func_cb.java
    callbacks/H5P_cls_close_func_t.java
    callbacks/H5P_cls_copy_func_cb.java
    callbacks/H5P_cls_copy_func_t.java
    callbacks/H5P_cls_create_func_cb.java
    callbacks/H5P_cls_create_func_t.java
    callbacks/H5P_prp_close_func_cb.java
    callbacks/H5P_prp_compare_func_cb.java
    callbacks/H5P_prp_copy_func_cb.java
    callbacks/H5P_prp_create_func_cb.java
    callbacks/H5P_prp_delete_func_cb.java
    callbacks/H5P_prp_get_func_cb.java
    callbacks/H5P_prp_set_func_cb.java
    callbacks/H5P_iterate_cb.java
    callbacks/H5P_iterate_t.java
    callbacks/Callbacks.java
)

set (HDF5_JAVA_HDF_HDF5_EXCEPTIONS_SOURCES
    exceptions/HDF5Exception.java
    exceptions/HDF5AtomException.java
    exceptions/HDF5AttributeException.java
    exceptions/HDF5BtreeException.java
    exceptions/HDF5DataFiltersException.java
    exceptions/HDF5DatasetInterfaceException.java
    exceptions/HDF5DataspaceInterfaceException.java
    exceptions/HDF5DataStorageException.java
    exceptions/HDF5DatatypeInterfaceException.java
    exceptions/HDF5ExternalFileListException.java
    exceptions/HDF5FileInterfaceException.java
    exceptions/HDF5FunctionArgumentException.java
    exceptions/HDF5FunctionEntryExitException.java
    exceptions/HDF5HeapException.java
    exceptions/HDF5InternalErrorException.java
    exceptions/HDF5JavaException.java
    exceptions/HDF5LibraryException.java
    exceptions/HDF5LowLevelIOException.java
    exceptions/HDF5MetaDataCacheException.java
    exceptions/HDF5ObjectHeaderException.java
    exceptions/HDF5PropertyListInterfaceException.java
    exceptions/HDF5ReferenceException.java
    exceptions/HDF5ResourceUnavailableException.java
    exceptions/HDF5SymbolTableException.java
)

set (HDF5_JAVA_HDF_HDF5_STRUCTS_SOURCES
    structs/H5_ih_info_t.java
    structs/H5A_info_t.java
    structs/H5AC_cache_config_t.java
    structs/H5E_error2_t.java
    structs/H5F_info2_t.java
    structs/H5G_info_t.java
    structs/H5L_info_t.java
    structs/H5O_hdr_info_t.java
    structs/H5O_info_t.java
)

set (HDF5_JAVA_HDF_HDF5_SOURCES
    HDFArray.java
    HDF5Constants.java
    HDF5GroupInfo.java
    HDFNativeData.java
    H5.java
)

set (CMAKE_JNI_TARGET TRUE)

file (WRITE ${PROJECT_BINARY_DIR}/Manifest.txt
"
"
)

set (CMAKE_JAVA_INCLUDE_PATH "${HDF5_JAVA_LOGGING_JAR}")

add_jar (${HDF5_JAVA_HDF5_LIB_TARGET} OUTPUT_NAME "${HDF5_JAVA_HDF5_LIB_TARGET}-${HDF5_PACKAGE_VERSION}" OUTPUT_DIR ${CMAKE_JAVA_TARGET_OUTPUT_DIR} MANIFEST ${PROJECT_BINARY_DIR}/Manifest.txt ${HDF5_JAVA_HDF_HDF5_CALLBACKS_SOURCES} ${HDF5_JAVA_HDF_HDF5_EXCEPTIONS_SOURCES} ${HDF5_JAVA_HDF_HDF5_STRUCTS_SOURCES} ${HDF5_JAVA_HDF_HDF5_SOURCES})
install_jar (${HDF5_JAVA_HDF5_LIB_TARGET} LIBRARY DESTINATION ${HDF5_INSTALL_JAR_DIR} COMPONENT libraries)
#if (NOT WIN32)
#  install_jni_symlink (${HDF5_JAVA_HDF5_LIB_TARGET} ${HDF5_INSTALL_JAR_DIR} libraries)
#endif ()

get_target_property (${HDF5_JAVA_HDF5_LIB_TARGET}_JAR_FILE ${HDF5_JAVA_HDF5_LIB_TARGET} JAR_FILE)
SET_GLOBAL_VARIABLE (HDF5_JAVA_JARS_TO_EXPORT "${HDF5_JAVA_JARS_TO_EXPORT};${${HDF5_JAVA_HDF5_LIB_TARGET}_JAR_FILE}")
SET_GLOBAL_VARIABLE (HDF5_JAVA_JARS ${${HDF5_JAVA_HDF5_LIB_TARGET}_JAR_FILE})

add_dependencies (${HDF5_JAVA_HDF5_LIB_TARGET} ${HDF5_JAVA_JNI_LIB_TARGET})
set_target_properties (${HDF5_JAVA_HDF5_LIB_TARGET} PROPERTIES FOLDER libraries/java)

create_javadoc(hdf5_java_doc
    FILES ${HDF5_JAVA_HDF_HDF5_CALLBACKS_SOURCES} ${HDF5_JAVA_HDF_HDF5_EXCEPTIONS_SOURCES} ${HDF5_JAVA_HDF_HDF5_STRUCTS_SOURCES} ${HDF5_JAVA_HDF_HDF5_SOURCES}
    OVERVIEW ${HDF5_JAVA_HDF5_SRC_DIR}/overview.html
    CLASSPATH ${CMAKE_JAVA_INCLUDE_PATH}
    WINDOWTITLE "HDF5 Java"
    DOCTITLE "<h1>HDF5 Java Wrapper</h1>"
    INSTALLPATH ${HDF5_INSTALL_DATA_DIR}
    AUTHOR TRUE
    USE TRUE
    VERSION TRUE
)

=== debian/control ===
Source: libsis-jhdf5-java
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgtdebian@free.fr>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               gradle-debian-helper,
               ant,
               libcommons-lang3-java,
               libcommons-io-java,
               libecj-java,
               libjaxb-java,
               libsis-base-java (>= 18.09~pre1),
               libhdf5-dev,
               libargs4j-java (>= 2.33),
               junit4 <!nocheck>,
               testng <!nocheck>,
               libhamcrest-java,
               libjmock2-java <!nocheck>,
               libobjenesis-java
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
Homepage: https://sissource.ethz.ch/sispub/jhdf5
Rules-Requires-Root: no

Package: h5ar
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~),
         libargs4j-java,
         jarwrapper
Description: easy-to-use HDF archiver using Java
 h5ar provides an archiver using a Java binding to the HDF Group library for
 HDF5 focusing on ease-of-use, which was developed by CISD and is now
 maintained by ETH SIS.
 The executable uses HDF5 1.8 from the HDF Group and files created with
 h5ar are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~),
         libargs4j-java
Description: easy-to-use HDF library for Java
 JHDF5 is a Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained by ETH SIS.
 The library uses HDF5 1.8 from the HDF Group and files created with
 JHDF5 are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-jni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libs used by libsis-jhdf5-java package
 This package is only useful with libsis-jhdf5-java which is a
 Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained
 by ETH SIS.
 .
 This package provides a native interface for the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/java/commons-lang3.jar:/usr/share/java/commons-io.jar:/usr/share/java/sis-base.jar
export TESTCLASSPATH=/usr/share/java/junit4.jar:/usr/share/java/testng.jar:/usr/share/java/jmock2.jar:/usr/share/java/jcommander.jar:/usr/share/java/sis-base.jar

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/java/java_defaults.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

CPPFLAGS += ${jvm_includes} -Ijni

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	dh_auto_clean
	$(RM) source/c/libsis-jhdf5.so
	$(RM) sis-jhdf5-h5ar-cli.jar

override_dh_auto_build:
	dh_auto_build
	# The jar needed by the h5ar wrapper is not built by the call to gradle.
	# We thus do it manually.
	CLASSPATH="$(CLASSPATH):/usr/share/java/args4j.jar:/usr/share/java/jaxb-runtime.jar" jh_build sis-jhdf5-h5ar-cli.jar $$(find source/java/ -name *.java) --main ch.systemsx.cisd.hdf5.h5ar.HDF5ArchiverMain
	# Create JNI manually since this is not part of the build system
	# Upsteam seems to `cd source/c` and call a script which in turn calls compile_hdf5_gcc.sh
	# In this script hdf5 source is unpacked, possibly patched, build and used for the JNI build
	# Most problematic issue is that private header H5private.h is used
	# Thus we have patched and got the few useful definitions in that private header.
	cd source/c && \
		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)  -shared -fPIC -Wl,--exclude-libs,ALL \
		-I/usr/lib/jvm/default-java/include/ -I/usr/include/hdf5/serial \
		*.c jni/*.c -o libsis-jhdf5.so -lz -lhdf5_serial

override_jh_installlibs:
	# The jar that is build is placed in targets/gradle/libs, and its name
	# corresponds to the regex sis-jhdf5-[0-9]*.jar. We look for it.
	GENERATEDJARPATH="targets/gradle/libs/$$(ls -l targets/gradle/libs/ | grep 'sis-jhdf5-[0-9]*.jar' | awk '{print $$9}')" ; \
	mv $$GENERATEDJARPATH targets/gradle/libs/sis-jhdf5.jar
	jh_installlibs --version-strip='[~pre1]*[+]git[.0-9a-f]*[+]dfsg[.0-9]*'

override_jh_depends:
	# We do two successive calls because the library does not need to depend on
	# the jre as the program package does, and the jni does not need jh_depends.
	jh_depends --package=h5ar
	jh_depends --package=libsis-jhdf5-java

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Run the tests that come with the upstream source.
	# These tests need to be run in the Zurich timezone.
	# It is necessary to put the test tree in a directory of which path does not
	# include a '+', else all the tests will be skipped. I don't know why. This
	# is a problem when the Debian version of the package includes a '+', for
	# instance if ``+dfsg'' is part of it. mktemp -d returns a path fitting this
	# requirement.
	# See above target for the rationale behind GENERATEDJARPATH.
	TESTSOURCEDIR=$(shell mktemp -d) ; \
	cp -r sourceTest/ $$TESTSOURCEDIR ; \
	GENERATEDJARPATH="targets/gradle/libs/$$(ls -l targets/gradle/libs/ | grep 'sis-jhdf5-[0-9]*.jar' | awk '{print $$9}')" ; \
	export CLASSPATH="$$TESTSOURCEDIR/sourceTest/java:`readlink -f $$GENERATEDJARPATH`:$(TESTCLASSPATH):$(CLASSPATH)" \
	       JNIPATH="`readlink -f source/c`:/usr/lib/jni" \
	       TZ=Europe/Zurich LC_ALL=C ; \
	    find $$TESTSOURCEDIR/sourceTest/java -name '*.java' | xargs javac && \
	    java -Xmx2048M -Djava.library.path="$$JNIPATH" org.testng.TestNG -verbose 2 sourceTest/java/tests.xml
	# These other tests have 3 failures.  I don't think they are expected to pass.
	#cd sourceTest/java && \
	#ln -s test/hdf5lib/h5ex_g_iterate.hdf . && \
	#java -Xmx2048M -Djava.library.path="$$JNIPATH" org.junit.runner.JUnitCore test.hdf5lib.TestAll
endif

=== debian/tests/control ===
Tests: providedTests
Depends: libsis-jhdf5-java, libsis-jhdf5-jni, default-jdk, junit4, testng, libjmock2-java, libjcommander-java

Tests: testWrappingExecutable
Depends: h5ar, libsis-jhdf5-jni, jarwrapper

Tests: readWriteTest
Depends: libsis-jhdf5-java, libsis-jhdf5-jni, default-jdk
Restrictions: superficial

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://sissource.ethz.ch/sispub/jhdf5/tags .*/archive/.+/jhdf5-(\d[-\d.pre]+)@ARCHIVE_EXT@

#opts="mode=git,pretty=18.09.0~pre1+git%cd.%h,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#    https://sissource.ethz.ch/sispub/jhdf5.git HEAD

## libsis-jhdf5-java 19.04.1+dfsg

=== source/c/jni/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# java/src/jni/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright by The HDF Group.
# Copyright by the Board of Trustees of the University of Illinois.
# All rights reserved.
#
# This file is part of HDF5.  The full HDF5 copyright notice, including
# terms governing use, modification, and redistribution, is contained in
# the COPYING file, which can be found at the root of the source code
# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
# If you do not have access to either file, you may request a copy from
# help@hdfgroup.org.
#
# HDF5 Java native interface (JNI) Library Makefile(.in)
#


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/hdf5
pkgincludedir = $(includedir)/hdf5
pkglibdir = $(libdir)/hdf5
pkglibexecdir = $(libexecdir)/hdf5
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
TESTS =
subdir = java/src/jni
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/aclocal_cxx.m4 \
	$(top_srcdir)/m4/aclocal_fc.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_classpath.m4 \
	$(top_srcdir)/m4/ax_check_java_home.m4 \
	$(top_srcdir)/m4/ax_check_junit.m4 \
	$(top_srcdir)/m4/ax_java_options.m4 \
	$(top_srcdir)/m4/ax_jni_include_dir.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_prog_javadoc.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/H5config.h \
	$(top_builddir)/fortran/src/H5config_f.inc
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libhdf5_java_la_DEPENDENCIES = $(LIBHDF5)
am_libhdf5_java_la_OBJECTS = exceptionImp.lo h5Constants.lo \
	nativeData.lo h5util.lo h5Imp.lo h5aImp.lo h5dImp.lo h5eImp.lo \
	h5fImp.lo h5gImp.lo h5iImp.lo h5lImp.lo h5oImp.lo h5pImp.lo \
	h5plImp.lo h5rImp.lo h5sImp.lo h5tImp.lo h5zImp.lo
libhdf5_java_la_OBJECTS = $(am_libhdf5_java_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libhdf5_java_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libhdf5_java_la_LDFLAGS) $(LDFLAGS) \
	-o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src -I$(top_builddir)/fortran/src
depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libhdf5_java_la_SOURCES)
DIST_SOURCES = $(libhdf5_java_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"

=== source/java/hdf/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project (HDF5_JAVA_HDF C)

add_subdirectory (hdf5lib)

=== debian/changelog ===
libsis-jhdf5-java (19.04.1+dfsg-4build3) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:24:44 +0100

libsis-jhdf5-java (19.04.1+dfsg-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:16:43 +0000

libsis-jhdf5-java (19.04.1+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:00:25 +0000

libsis-jhdf5-java (19.04.1+dfsg-4) unstable; urgency=medium

  * Fixing the clean target (Closes: 1046647)
  * Update standards version to 4.6.2, no changes needed.

 -- Pierre Gruet <pgt@debian.org>  Sun, 03 Dec 2023 08:04:07 +0100

libsis-jhdf5-java (19.04.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Depend on libeclipse-jdt-core-java instead of libecj-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Feb 2023 13:25:11 +0100

libsis-jhdf5-java (19.04.1+dfsg-2) unstable; urgency=medium

  * Adding a missing directive from removed H5private.h file of hdf5
    (Closes: #1019393, #1020139)

 -- Pierre Gruet <pgt@debian.org>  Mon, 19 Sep 2022 23:13:29 +0200

libsis-jhdf5-java (19.04.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Sat, 30 Jul 2022 14:05:39 +0200

libsis-jhdf5-java (19.04.0+dfsg-5) unstable; urgency=medium

  * Raising Standards version to 4.6.0 (no change)
  * Fixing unnecessary greater-than versions in build-dependencies
  * Providing Bug- and Repository- fields in d/u/metadata

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Mar 2022 17:51:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libsis-jhdf5-java
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+           Pierre Gruet <pgt@debian.org>
 Section: java
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,17 +14,18 @@
                ant,
                libcommons-lang3-java,
                libcommons-io-java,
-               libecj-java,
+               libeclipse-jdt-core-java,
+               libeclipse-jdt-compiler-apt-java,
                libjaxb-java,
-               libsis-base-java (>= 18.09~pre1),
+               libsis-base-java,
                libhdf5-dev,
-               libargs4j-java (>= 2.33),
+               libargs4j-java,
                junit4 <!nocheck>,
                testng <!nocheck>,
                libhamcrest-java,
                libjmock2-java <!nocheck>,
                libobjenesis-java
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
 Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
 Homepage: https://sissource.ethz.ch/sispub/jhdf5

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,9 @@
 %:
 	dh $@ --with javahelper
 
-override_dh_auto_clean:
-	dh_auto_clean
-	$(RM) source/c/libsis-jhdf5.so
-	$(RM) sis-jhdf5-h5ar-cli.jar
+override_dh_clean:
+	dh_clean
+	rm -rf targets test-output
 
 override_dh_auto_build:
 	dh_auto_build
